// подключение заголовочного файла кодогенерации модели
#include "pwm_chart_code\pwm_chart.c"
// объявление глобальной переменной предыдущего цикла расчета
unsigned long PrevTimeMicros = 0;
  
void setup() {
  // вызов функции инициализации модели
  pwm_chart_init();
}

void loop() {
  // обновление переменной текущего времени
  unsigned long CurTimeMicros = micros();
  // Запись продолжительности импульса ШИМ на 13 выходе (LED)
  if (CurTimeMicros - PrevTimeMicros >= 1000) {
      PrevTimeMicros = CurTimeMicros;
      // вызов функции шага расчета модели
      pwm_chart_step();
  }
}
